extends Object
class_name PouvoirBase
## Classe de base de tous les pouvoirs


## Fonction a surcharger pour chaque pouvoir
func declencher_pouvoir(_arbre_scene: SceneTree) -> void:
	assert(false, "Un pouvoir doit obligatoirement surcharger cette fonction !")


## Fonction que vous pouvez surcharger pour definir la couleur principale
func couleur_principale() -> Color:
	return Color.WHITE
